package overlay

import (
	"github.com/vugu/vugu"
)

type ToastSimple struct {
	IconSlot vugu.Builder `vugu:"data"` // Slot for the symbol.

	Message string `vugu:"data"`

	SignalColor string // A d3c CSS class for the color scheme of the small bar.
}

func (c *ToastSimple) OverlayClasses() (signalClasses, containerClasses string) {
	return c.SignalColor, ""
}
